AddDimAligned Method

Back to Methods Reference

Creates an aligned dimension object.

Signature

VBA : RetVal = object.AddDimAligned(ExtLine1Point, ExtLine2Point, TextPosition)

VL : RetVal = (vla-AddDimAligned object ExtLine1Point ExtLine2Point TextPosition)

(vla-AddDimAligned mspace pt1 pt2 pt3)

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.
  • ExtLine1Point : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the first endpoint of the extension line.
  • ExtLine2Point : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the second endpoint of the extension line.
  • TextPosition : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the text position.
  • RetVal : DimAligned object
    The newly created aligned dimension.


Remarks

In aligned dimensions, the dimension line is parallel to the extension line origins. The extension line origins are specified using the ExtLine1Point and ExtLine2Point properties.

Example :


(defun c:al-adddimaligned ()

(vl-load-com)

(setq thisdrawing (vla-get-activedocument 
                       (vlax-get-acad-object)))

(setq mspace (vla-get-modelspace thisdrawing))

(setq pt1 (vlax-3d-point (setq pt 
               (getpoint "First alignment point: "))))

(setq pt2 (vlax-3d-point 
               (getpoint "Second alignment point: " pt)))

(setq pt3 (vlax-3d-point 
               (getpoint "Text insertion point: ")))

(vla-AddDimAligned mspace pt1 pt2 pt3)

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website